#include<bits/stdc++.h>
#define int long long
using namespace std;
void gogo() {
    int n, m;
    cin >> n >> m;
    int a[m + 1];
    for (int i = 0; i < m; i++) {
        cin >> a[i];
    }
    reverse(a, a + m);
    int res = 0;
    for (int i = 0; i < (1 << m); i++) {
        int cntp = 0, cntm = 0;
        bool ch = 1;
        int ans = 0;
        for (int j = 0; j < m; j++) {
            if ((i >> j) & 1) {
                if (cntp + cntm < n) {
                    cntp++;
                } else {
                    if (!cntm) {
                        ch = 0;
                        break;
                    }
                    cntm--;
                    cntp++;
                }
                ans += a[j];
            } else {
                if (!cntp) {
                    ch = 0;
                    break;
                }
                cntp--;
                cntm++;
                ans -= a[j];
            }
        }
        if (ch) {
            res = max(res, ans);
        }
    }
    cout << res << endl;
}
main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int t = 1;
    cin >> t;
    while (t--) {
        gogo();
    }
}
